package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBBlockDetailsReport entity.
 */
public class TBBlockDetailsReportDTO implements Serializable {

    private Long id;

    private String code;

    private String suppliesTypeName;

    private Double quantity;

    private Double quantityImport;

    private Double quantityExport;

    private Instant createDate;

    private Long tbBlockDetailsId;

    private Long tbSuppliesTypeId;

    private Long tbSuppliesInWarehouseId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSuppliesTypeName() {
        return suppliesTypeName;
    }

    public void setSuppliesTypeName(String suppliesTypeName) {
        this.suppliesTypeName = suppliesTypeName;
    }

    public Double getQuantity() {
        return quantity;
    }

    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    public Double getQuantityImport() {
        return quantityImport;
    }

    public void setQuantityImport(Double quantityImport) {
        this.quantityImport = quantityImport;
    }

    public Double getQuantityExport() {
        return quantityExport;
    }

    public void setQuantityExport(Double quantityExport) {
        this.quantityExport = quantityExport;
    }

    public Instant getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Instant createDate) {
        this.createDate = createDate;
    }

    public Long getTbBlockDetailsId() {
        return tbBlockDetailsId;
    }

    public void setTbBlockDetailsId(Long tBBlockDetailsId) {
        this.tbBlockDetailsId = tBBlockDetailsId;
    }

    public Long getTbSuppliesTypeId() {
        return tbSuppliesTypeId;
    }

    public void setTbSuppliesTypeId(Long tBSuppliesTypeId) {
        this.tbSuppliesTypeId = tBSuppliesTypeId;
    }

    public Long getTbSuppliesInWarehouseId() {
        return tbSuppliesInWarehouseId;
    }

    public void setTbSuppliesInWarehouseId(Long tBSuppliesInWarehouseId) {
        this.tbSuppliesInWarehouseId = tBSuppliesInWarehouseId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBBlockDetailsReportDTO tBBlockDetailsReportDTO = (TBBlockDetailsReportDTO) o;
        if (tBBlockDetailsReportDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBBlockDetailsReportDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBBlockDetailsReportDTO{" +
            "id=" + getId() +
            ", code='" + getCode() + "'" +
            ", quantity=" + getQuantity() +
            ", quantityImport=" + getQuantityImport() +
            ", quantityExport=" + getQuantityExport() +
            ", createDate='" + getCreateDate() + "'" +
            ", tbBlockDetails=" + getTbBlockDetailsId() +
            ", tbSuppliesType=" + getTbSuppliesTypeId() +
            ", tbSuppliesInWarehouse=" + getTbSuppliesInWarehouseId() +
            "}";
    }
}
